£1,179.41– £1,440.99
Compare 3 prices
D-Link · Network Switch
D-Link 14-Port L2 Managed Switch with price in United Kingdom
Model DIS‑300G‑14PSWMPN DIS-300G-14PSWEAN 790069437922
- Weight1.41 kg
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity10
Lowest price incl. delivery
£1,235.99
at Back to the OfficeFree deliveryIn stock
- 1 store
- 1 in stock
- 1 with free delivery
- Checked 6 Oct 2026, 17:41 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
1 store · prices in GBP · updated 6 Oct 2026, 17:41 UTC
Every store asks the same price.
- 1 of 1 stores in stock
- 1 with free shipping
- Checked 6 Oct 2026, 17:41 UTC
- Back to the OfficeLowest priceD-Link 14-Port L2 Managed Switch with 10 x 10/100/1000BaseT(X) (8 PoE) & 4 x 100/1000BaseSFP In stockFree shipping£1,235.99incl. free shippingGo to store : Back to the Office (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 17:41 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- D-Link
- Product
- 14-Port L2 Managed Switch with
- Full name
- D-Link 14-Port L2 Managed Switch with 10 x 10/100/1000BaseT(X) (8 PoE) & 4 x 100/1000BaseSFP
- Manufacturer part number
- DIS-300G-14PSW
- EAN / UPC
- 790069437922
- Category
- Network Switch
78 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| Traffic shaping | Yes |
| System event log | Yes |
| MIB support | RFC 1757 RMON 1,2,3,9; RFC 2674 Q MIB RFC‑1213 MIB‑II; RFC‑1493 MIB; RFC 2233 IF MIB |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 10 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP module slots quantity | 4 |
| Fiber optic connector | LC |
Network
| Networking standards | IEEE 802.1D, IEEE 802.1ab, IEEE 802.1ad, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3x |
|---|---|
| 10G support | No |
| Full duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Auto-negotiation | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Tagged VLAN, Protocol-based VLAN, Interface-based VLAN, Port-based VLAN, IP subnet–based VLAN |
| Number of VLANs | 1024 |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Store-and-forward | Yes |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
Security
| DHCP features | DHCP server, DHCP snooping, DHCP relay, DHCP client |
|---|---|
| Authentication type | IEEE 802.1x, RADIUS |
| Queue scheduling algorithms | Weighted Round Robin (WRR) |
| Security algorithms | HTTPS, SNMP, SNMPv3, SSH |
Multicast features
| Multicast support | Yes |
|---|
Design
| Rack mounting | No |
|---|---|
| Product colour | Black |
| LED indicators | Alarm, LAN, PoE, Status |
| DIN rail mounting | Yes |
| International Protection (IP) code | IP30 |
| Wall mountable | Yes |
| Electromagnetic compatibility | FCC 15, EN 61000‑6‑2, EN 61000‑6‑4, EN 61000‑4‑2, ‑3, ‑4, ‑5, ‑6 |
Performance
| Firmware upgradeable | Yes |
|---|
Power
| DC input voltage | 48 - 58 V |
|---|---|
| Power consumption (typical) | 14 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet plus (PoE+) ports quantity | 8 |
| Power over Ethernet (PoE) voltage range | 54 - 58 V |
| Power over Ethernet (PoE) power per port | 60 W |
| Total Power over Ethernet (PoE) budget | 240 W |
Operational conditions
| Operating temperature (T-T) | -40 - 75 °C |
|---|---|
| Storage temperature (T-T) | -40 - 85 °C |
| Operating relative humidity (H-H) | 5 - 95% |
Weight & dimensions
| Width | 71 mm |
|---|---|
| Depth | 154 mm |
| Height | 128 mm |
| Weight | 1.41 kg |
Packaging data
| Package width | 195 mm |
|---|---|
| Package depth | 242 mm |
| Package height | 138 mm |
| Package weight | 1.86 kg |
Technical details
| Master (outer) cases per pallet (air) | 20 pc(s) |
|---|---|
| Master (outer) cases per pallet (sea) | 28 pc(s) |
| Pallet gross length | 120 cm |
| Pallet gross weight (air) | 415.6 kg |
| Pallet gross weight (sea) | 575 kg |
| Pallet gross width | 110 cm |
| Pallet height (air) | 148.5 cm |
| Pallet height (sea) | 2.02 m |
| Products per pallet (air) | 200 pc(s) |
| Products per pallet (sea) | 280 pc(s) |
| Products per shipping (inner) case | 10 pc(s) |
| Shipping (inner) case gross weight | 19.9 kg |
| Shipping (inner) case height | 27 cm |
| Shipping (inner) case length | 69.5 cm |
| Shipping (inner) case net weight | 18.6 kg |
| Shipping (inner) case width | 40.5 cm |
Certificates
| Certification | IEC60068‑2‑6, IEC60068‑2‑27, IEC60068‑2‑32, UL 60950‑1, CE, FCC, RoHS, WEEE |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






